unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    CheckGroup1: TCheckGroup;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  callite_dialog, CalendarLite;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  F: TCalLiteForm;
  d: TDate;
begin
  F := TCalLiteForm.Create(nil);
  try
    if TryStrToDate(Label1.Caption, d) then
      F.Date := d
    else
      F.Date := Date();
    F.Date := EncodeDate(2023,2, 1);
    F.Language := lgGerman;
    F.Colors.ArrowColor := clBlue;
    F.Colors.ArrowBorderColor := clNavy;
    F.StartingDayOfWeek := dowMonday;
    if CheckGroup1.Checked[0] then
      F.Options := F.Options + [coNoMonthChange];
    if CheckGroup1.Checked[1] then
      F.Options := F.Options + [coNoOtherMonthDays];
    if F.Execute then
      Label1.Caption := DateTostr(F.Date);
  finally
    F.Free;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CheckGroup1.Checked[0] := true;
  CheckGroup1.Checked[1] := true;
end;


end.

